OpenVDB 7.0.0

Functions
openvdb::v7_0::tools::local_util Namespace Reference

## Functions
template<typename T >
bool | decompose (const math::Mat4< T > &m, math::Vec3< T > &scale, math::Vec3< T > &rotate, math::Vec3< T > &translate)
| Decompose an affine transform into scale, rotation and translation components. More...
Vec3i | floorVec3 (const Vec3R &v)
Vec3i | ceilVec3 (const Vec3R &v)
Vec3i | roundVec3 (const Vec3R &v)

## Function Documentation

## ◆ ceilVec3()

Vec3i openvdb::v7_0::tools::local_util::ceilVec3 | ( | const Vec3R & | v | ) |
| inline

## ◆ decompose()

bool openvdb::v7_0::tools::local_util::decompose | ( | const math::Mat4< T > & | m,
|  | math::Vec3< T > & | scale,
|  | math::Vec3< T > & | rotate,
|  | math::Vec3< T > & | translate
| ) |  |
| inline

Decompose an affine transform into scale, rotation and translation components.

Returns
  `false` if the given matrix is not affine or cannot otherwise be decomposed.

## ◆ floorVec3()

Vec3i openvdb::v7_0::tools::local_util::floorVec3 | ( | const Vec3R & | v | ) |
| inline

## ◆ roundVec3()

Vec3i openvdb::v7_0::tools::local_util::roundVec3 | ( | const Vec3R & | v | ) |
| inline